# Redis 作为 Broker 和 Backend
BROKER_URL = 'redis://:Wqsd@2019@r-bp1ps6my7lzg8rdhwx682.redis.rds.aliyuncs.com:6379/0'
RESULT_BACKEND = 'redis://:Wqsd@2019@r-bp1ps6my7lzg8rdhwx682.redis.rds.aliyuncs.com:6379/1'

# Celery 配置
CELERY_CONFIG = {
    'broker_url': BROKER_URL,
    'result_backend': RESULT_BACKEND,
    'task_serializer': 'json',
    'result_serializer': 'json',
    'accept_content': ['json'],
    'timezone': 'Asia/Shanghai',
    'enable_utc': True,
    'imports': ['celery_tasks'],
    'task_routes': {
        'celery_tasks.*': {"queue": "dev"},
    },
    'beat_schedule': {
        'run-sample-task-every-10-seconds': {
            'task': 'celery_tasks.test_task',
            'schedule': 10.0,
            'args': (),
            'kwargs': {}
        },
    }
}